package jyanken.utility;

import jyanken.Dashite;
import jyanken.Syouhai;

/**
 * 使えそうな関数群
 * 
 * @author xware
 * 
 */
public class JyankenUtility {
    /**
     * 勝敗を調べる関数
     * 
     * @param dashite1
     * @param dashite2
     * @return dashite1に対する勝敗
     */
    public static Syouhai checkSyouhai(Dashite dashite1, Dashite dashite2) {
        if (dashite1 == null) {
            throw new NullPointerException("user1Logic の出し手が null です。");
        }
        if (dashite2 == null) {
            throw new NullPointerException("user2Logic の出し手が null です。");
        }

        if (dashite1 == dashite2) {
            return Syouhai.AIKO;
        } else if ((dashite1 == Dashite.PA && dashite2 == Dashite.GU) || (dashite1 == Dashite.GU && dashite2 == Dashite.CYOKI) || (dashite1 == Dashite.CYOKI && dashite2 == Dashite.PA)) {
            return Syouhai.KACHI;
        } else {
            return Syouhai.MAKE;
        }
    }
}
