package sample;

import jyanken.Dashite;
import jyanken.JyankenInterface;
import jyanken.Syouhai;

public class Logic implements JyankenInterface {

    int i = 0;

    /**
     * コンストラクタには何も書かないで下さい。
     */
    public Logic() {
    }

    /**
     * 初期化用関数です。
     * インスタンス化後、1度だけ呼び出されるメソッドです。
     * 勝負回数で配列を作成等はここで行ってください。
     */
    @Override
    public void init(int syoubuKaisuu) {

    }

    /**
     * 引数、戻り値の型は変更しないで下さい。
     *
     * 以下に書いてあるものはサンプルです。
     * 現在このメソッドではグーチョキパーの順でループして出します。
     * 下にあるkekkaメソッドも参考にしてください。
     * 
     * このメソッドの戻り値を null にするとエラー終了で不戦敗扱いとなるので、注意してください。
     */
    @Override
    public Dashite jyankenpon() {

        switch (i % 3) {
        case 0:
            return Dashite.GU;
        case 1:
            return Dashite.CYOKI;
        case 2:
            return Dashite.PA;
        }

        return Dashite.GU;
    }

    /**
     * 引数、戻り値の型は変更しないで下さい。
     *
     * このメソッドは勝負の度に呼び出されます。
     * 引数はその勝負の結果です。
     * 現在このメソッドでは勝負回数をカウントしています。
     */
    @Override
    public void kekka(Syouhai syobu) {

        i++;

    }
}
