package main;

import jyanken.Dashite;
import jyanken.JyankenInterface;
import jyanken.Syouhai;
import jyanken.utility.JyankenUtility;

public class Main {
    public static void main(String[] args) {
        int syoubuKaisuu = 100000;

        //○○.Logic()の○○部分に自分が作成したパッケージ名を入れてください。
        JyankenInterface user1Logic = new testuser.Logic();
        JyankenInterface user2Logic = new testuser2.Logic();

        user1Logic.init(syoubuKaisuu);
        user2Logic.init(syoubuKaisuu);

        int user1Kachisuu = 0;
        int user2Kachisuu = 0;

        for (int i = 0; i < syoubuKaisuu; i++) {
            Dashite user1Dashite = user1Logic.jyankenpon();
            Dashite user2Dashite = user2Logic.jyankenpon();

            Syouhai user1Syouhai = JyankenUtility.checkSyouhai(user1Dashite, user2Dashite);
            Syouhai user2Syouhai = JyankenUtility.checkSyouhai(user2Dashite, user1Dashite);

            user1Logic.kekka(user1Syouhai);
            user2Logic.kekka(user2Syouhai);

            user1Kachisuu += (user1Syouhai == Syouhai.KACHI ? 1 : 0);
            user2Kachisuu += (user2Syouhai == Syouhai.KACHI ? 1 : 0);


        }

        System.out.println(String.format("%s 勝ち：%d", user1Logic.getClass().getName(), user1Kachisuu));
        System.out.println(String.format("%s 勝ち：%d", user2Logic.getClass().getName(), user2Kachisuu));
        System.out.println(String.format("あいこ：%d", syoubuKaisuu - user1Kachisuu - user2Kachisuu));
    }

}

